import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
// 引入lib-flexible
import 'lib-flexible'
// import './assets/fonts/iconfont.css';
Vue.config.productionTip = false
// 引入使用fastclick
// 移动端点击有300ms延迟，主要是为了解决双击缩放，浏览器等待300ms以判断是否是双击操作。
// 可以采用引入fastclick.js的方式解决移动端300ms延迟的问题
// @ts-ignore
// import FastClick from 'fastclick'
// FastClick.attach(document.body)

import VConsole from 'vconsole'
// new VConsole()

// 开发环境引入 vConsole调试工具
if (process.env.NODE_ENV === 'production' && process.env.VUE_APP_RealEnv !== 'production') {
    // TODO: vConsole
    // new VConsole()
}
const ua = navigator.userAgent

// console.log('wdith:', window.screen.width)
// console.log('height:', window.screen.height)
// console.log('clientWidth:', document.body.clientWidth)
// console.log('clientHeight:', document.body.clientHeight)
// 打包后,监听deviceready事件,处理 部分设备 不能使用cordova插件方法的问题
if (process.env.NODE_ENV === 'production' && process.env.VUE_APP_RealEnv !== 'alyTest') {
    window.addEventListener('deviceready', function() {
        new Vue({
            router,
            store,
            render: (h) => h(App),
        }).$mount('#app')
    })
} else {
    // 开发环境
    new Vue({
        router,
        store,
        render: (h) => h(App),
    }).$mount('#app')
}
// new Vue({
//     router,
//     store,
//     render: (h) => h(App),
// }).$mount('#app')
